Samba Security Hole Patched but Risk is Bigger

May 31, 2017

Millions of devices that use Samba Server are vulnerable to attacks.

The world barely recovered from the havoc caused by WannaCry ransomware before a new vulnerability was found in the open source Samba networking utility.

According to Samba.org, “All versions of Samba from 3.5.0 onwards are vulnerable to a remote code execution vulnerability, allowing a malicious client to upload a shared library to a writable share, and then cause the server to load and execute it.”

In pure open source tradition, the patch was released immediately, and most Linux distributions have pushed it into their repository.

The real-world situation is grimmer than it appears. First, it’s not a new bug. The bug has been lurking around for the last seven years, since version 3.5.0 was released in 2010. It exposes a serious problem in the Linux world: It doesn't have enough eyeballs to make all bugs shallow.

The second problem that makes this bug more problematic is that the open source re-implementation of Microsoft’s SMB protocol, which was the culprit in the WannaCry ransomware, is used in every single product that offers any kind of file-sharing capability.

If you have a NAS device, media streaming box, or any device that offers file storage and sharing capability, then it’s more than likely running Samba server on it. Despite running a Linux-based distribution, these devices are not designed for automatic updates and don’t offer users an easy interface to update the packages.

At the same time, in most cases, vendors have no incentive to keep the devices patched, which leaves them vulnerable. If you are aware of this bug and you are running one of these devices, there is literally nothing you can do to fix it, other than unplugging it from the server. The best course of action is to keep an eye on the support site of the product and look for any updates. If updates are available, install them immediately.

Related content

  • NEWS

    Updates on technologies, trends, and tools

  • Will WannaCry Change Things?

    Drying the tears of WannaCry

  • Samba Shuts Down Vulnerability in AD Interface

    The latest version of Samba, 3.0.26, removes a moderately critical vulnerability that only occurs in combination with Microsoft's Active Directory Service.

  • Samba 4

    Samba 4 has been around for more than three years, but some users still shy from it. If you are still sitting on the fence, this tour through some of the new features and capabilities might help you decide whether it is finally time to upgrade.

  • Samba for Clusters

    Samba Version 3.3 and the CTDB lock manager provide full cluster support.

comments powered by Disqus

Issue 30: Getting Started with Linux/Special Editions

Buy this issue as a PDF

Digital Issue: Price $15.99
(incl. VAT)

News